IP Online » System Requirements
 

IP Online System's Requirement

 

IMPORTANT !

1. Please use only Internet Explorer browser version 6, 7 or 8 for the following purpose:

     - Requesting for Digital ID

     - Pick up the digital ID upon approval

     - Conducting filing via IP Online

Other browsers may not comply with the digital ID as they are not supported by MSCTrustgate, the provider of Digital ID.

2.  Pre-requisite software/plug-ins for filing purpose

      - Flash Player latest version

      - Java Runtime 6 or above(latest)

      - Adobe Reader 9 or above(latest)


 

(Since 21-Nov-2013)

 

 

 

 

       

© Intellectual Property Corporation of Malaysia. All rights reserved.
PRIVACY STATEMENT | SECURITY POLICY | COPYRIGHT NOTICE | DISCLAIMER 

« Powered by Me®ule »
2.04 Secs